仕様書セクションの本文取得
GET
/spec/{document_type}/{path}
const url = 'https://api.plateauview.mlit.go.jp/spec/standard/example?single_page=false&format=markdown';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.plateauview.mlit.go.jp/spec/standard/example?single_page=false&format=markdown'指定したセクションの本文を Markdown で取得します(既定で子セクションを含む)。
パスは /spec/{document_type} の目次、または /spec/search の検索結果から取得します。
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” document_type
required
string
対象文書。standard(標準製品仕様書) / procedure(標準作業手順書)
path
required
string
取得するパス。例: toc1, toc4_01。末尾に拡張子を付けると出力形式を選択でき(.json で JSON、.md で Markdown)、format クエリより優先される。拡張子なしも可。
Query Parameters
Section titled “Query Parameters ” single_page
boolean
True の場合、子セクションを含めず単一ページのみ取得。既定: false
format
string
出力形式。既定: markdown。パス末尾の拡張子(.json / .md)が指定された場合はそちらが優先される。
Responses
Section titled “ Responses ”成功時のレスポンス
string
object
path
string
document_type
string
content
string
Example generated
{ "path": "example", "document_type": "example", "content": "example"}文書種別が不正、または指定パスのコンテンツが見つからない
Media type application/json
object
error
required
エラーメッセージ
string
url
エラーが発生したURL
string
reason
エラーの原因
string
Example generated
{ "error": "example", "url": "example", "reason": "example"}
© 2026
Project PLATEAU